# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectFlag Class Reference

A SelectFlag queries a flag noted in the bitmap of the Graph.
The Flag is designated by its Name. Flag Names are defined
by Work Session and, as necessary, other functional objects
WorkSession from IFSelect defines flag "Incorrect"
Objects which control application running define some others
.

`#include <IFSelect_SelectFlag.hxx>`

Inheritance diagram for IFSelect_SelectFlag:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_SelectFlag (const Standard_CString flagname)
| Creates a Select Flag, to query a flag designated by its name .
Standard_EXPORT Standard_CString | FlagName () const
| Returns the name of the flag .
virtual Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected entities. It is redefined to work on the graph itself (not queried by sort) An entity is selected if its flag is True on Direct mode, False on Reversed mode If flag does not exist for the given name, returns an empty result, whatever the Direct/Reversed sense .
Standard_EXPORT Standard_Boolean | Sort (const Standard_Integer rank, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns always False because RootResult has done the work .
Standard_EXPORT TCollection_AsciiString | ExtractLabel () const
| Returns a text defining the criterium, includes the flag name .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_AsciiString | thename

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectFlag::IFSelect_SelectFlag | ( | const Standard_CString | flagname | ) |

## Member Function Documentation

Standard_EXPORT TCollection_AsciiString IFSelect_SelectFlag::ExtractLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

Standard_EXPORT Standard_CString IFSelect_SelectFlag::FlagName | ( |  | ) | const

Standard_EXPORT const IFSelect_SelectFlag::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExtract. Reimplemented in IFSelect_SelectIncorrectEntities.

virtual Standard_EXPORT Interface_EntityIterator IFSelect_SelectFlag::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Reimplemented from IFSelect_SelectExtract.

Standard_EXPORT Standard_Boolean IFSelect_SelectFlag::Sort | ( | const Standard_Integer | rank,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

## Field Documentation

TCollection_AsciiString IFSelect_SelectFlag::thename `[private]`

The documentation for this class was generated from the following file:

- IFSelect_SelectFlag.hxx